#!/bin/bash
set -eu;
readonly ROOT="$(realpath "$(dirname "$0")/..")";

pushd .;
cd ""${ROOT}"";

printf "This script requires the \"sox\" binary in the path.\\n";
for i in $(seq 0 5); do
    sox -V3 --multi-threaded ""${ROOT}"/src/msx__"${i}"__7s__u8_11025_stereo.wav" --no-dither --bits 8 --channels 1 --encoding unsigned-integer ""${ROOT}"/export/msx__"${i}".u8" trim 0s 39168s;

done;

popd;
